Обход ограничений безопасности в PEAR Auth

Дата публикации:
27.02.2006
Всего просмотров:
1104
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
Обход ограничений безопасности
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
PEAR Auth 1.x
Уязвимые версии: PEAR Auth версии до 1.2.4 и 1.3.0r4.

Описание:
Уязвимость позволяет удаленному пользователю обойти ограничения безопасности.

Уязвимость существует из-за ошибки при обработке входных данных в DB и LDAP Auth контейнерах. Удаленный пользователь может с помощью специально сформированного запроса обойти процесс аутентификации и получить доступ к важным данным на системе.

URL производителя: pear.php.net/package/Auth/

Решение: Установите последнюю версию (1.2.4) с сайта производителя.

Источник:

Ссылки: Multiple Injection Vulnerabilities in PHP PEAR::Auth Module

или введите имя

CAPTCHA